Bug 186690 - Update net/rabbitmq-c-devel to 0.5.0
Summary: Update net/rabbitmq-c-devel to 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 186691
  Show dependency treegraph
 
Reported: 2014-02-12 14:10 UTC by landsidel.allen
Modified: 2014-08-24 21:00 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (957 bytes, patch)
2014-02-12 14:10 UTC, landsidel.allen
no flags Details | Diff
file.diff (767 bytes, patch)
2014-02-12 14:10 UTC, landsidel.allen
no flags Details | Diff
Patch for update, stage (with issues) (5.11 KB, patch)
2014-08-19 20:04 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description landsidel.allen 2014-02-12 14:10:00 UTC
Update rabbitmq-c-devel from 0.0.1 to 0.5.0.

Fix: svn diff output in net/rabbitmq-c-devel
Comment 1 Edwin Groothuis freebsd_committer 2014-02-14 16:11:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-14 16:11:52 UTC
Maintainer of net/rabbitmq-c-devel,

Please note that PR ports/186690 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186690

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 rabbitmq 2014-02-18 10:19:57 UTC
On 14 Feb 2014, at 16:11, Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of net/rabbitmq-c-devel,
>=20
> Please note that PR ports/186690 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/186690
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

Running this through Redports at the moment, getting a configure failure =
during the build at the moment.

=97
Geoff=
Comment 4 John Marino freebsd_committer 2014-08-11 10:52:36 UTC
No response in 6 months, patch doesn't work and doesn't provide staging.

Port is due to be removed in 2 weeks due to lack of staging.
Comment 5 Kurt Jaeger freebsd_committer 2014-08-19 20:04:43 UTC
Created attachment 146047 [details]
Patch for update, stage (with issues)

This diff almost works. Needs additional cmake eyes.
Comment 6 John Marino freebsd_committer 2014-08-19 20:36:23 UTC
if you are going to reopen it, please put yourself as the assignee.
Comment 7 Kurt Jaeger freebsd_committer 2014-08-19 20:49:22 UTC
(In reply to Kurt Jaeger from comment #5)
> Created attachment 146047 [details]
> Patch for update, stage (with issues)
> 
> This diff almost works. Needs additional cmake eyes.

Building it in a populated server (no poudriere), it works:

http://people.freebsd.org/~pi/misc/non-verbose-build.txt

Building it in poudriere, some bin/ stuff is not build (why?) and
the commands are displayed, so it's much more verbose (why is it more verbose?).

http://people.freebsd.org/~pi/misc/verbose-build.txt
Comment 8 commit-hook freebsd_committer 2014-08-24 20:59:31 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 24 20:58:36 UTC 2014
New revision: 366013
URL: http://svnweb.freebsd.org/changeset/ports/366013

Log:
  net/rabbitmq-c-devel: 0.0.1 -> 0.5.1

  https://github.com/alanxz/rabbitmq-c/blob/master/ChangeLog.md

  PR:		186690
  Submitted by:	landsidel.allen@gmail.com
  Approved by:	portmgr blanket (staging)

Changes:
  head/net/rabbitmq-c-devel/Makefile
  head/net/rabbitmq-c-devel/distinfo
  head/net/rabbitmq-c-devel/files/patch-configure.ac
  head/net/rabbitmq-c-devel/pkg-descr
  head/net/rabbitmq-c-devel/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2014-08-24 21:00:31 UTC
Thanks for the patch, committed with changes.